joystick (1:1.7.1-1) unstable; urgency=medium

  [ Stephen Kitt ]
  * New upstream release.
  * Update udev rules to enable the extended support for gamepad LEDs
    (thanks to Hanno Zulla).
  * Switch to debhelper compatibility level 13.
  * Bump debian/watch version.
  * Standards-Version 4.5.1, no further change required.

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation
    lines.
  * Set upstream metadata fields: Archive, Repository.

 -- Stephen Kitt <skitt@debian.org>  Wed, 13 Jan 2021 16:34:45 +0100

joystick (1:1.7.0-1) unstable; urgency=medium

  * New upstream release.
  * Switch to debhelper compatibility level 12.
  * Standards-Version 4.4.1, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Fri, 11 Oct 2019 20:35:28 +0200

joystick (1:1.6.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/changelog: Remove trailing whitespaces
  * d/control: Set Vcs-* to salsa.debian.org
  * d/watch: Use https protocol

  [ Stephen Kitt ]
  * New upstream release, merging bin-udevadm.patch.
  * Set “Rules-Requires-Root: no”.
  * Standards-Version 4.3.0, no further change required.
  * Switch to debhelper compatibility level 11.
  * Update Denilson Figueiredo de Sá’s blacklist.

 -- Stephen Kitt <skitt@debian.org>  Sun, 03 Feb 2019 22:43:50 +0100

joystick (1:1.6.0-2) unstable; urgency=medium

  * Rely on udevadm being on the PATH. Closes: #852579.
  * Update Denilson Figueiredo de Sá's blacklist, using the version for
    kernel 4.9 or later.
  * Update debian/copyright.
  * Standards-Version 4.0.0, no further change required.
  * Switch to debhelper compatibility level 10.

 -- Stephen Kitt <skitt@debian.org>  Sun, 02 Jul 2017 23:32:48 +0200

joystick (1:1.6.0-1) unstable; urgency=medium

  * New upstream release.
  * Update Denilson Figueiredo de Sá's blacklist; this fixes issues with
    Microsoft keyboards. Closes: #825686.

 -- Stephen Kitt <skitt@debian.org>  Sat, 08 Oct 2016 13:19:25 +0200

joystick (1:1.5.1-2) unstable; urgency=medium

  * Actually install evdev-joystick...

 -- Stephen Kitt <skitt@debian.org>  Tue, 19 Apr 2016 23:47:43 +0200

joystick (1:1.5.1-1) unstable; urgency=medium

  * New upstream release, adding evdev-joystick (from stella).
  * Switch to https: VCS URIs (see #810378).
  * Enable all hardening options.
  * Clean up debian/control using cme.
  * Standards-Version 3.9.8, no change required.

 -- Stephen Kitt <skitt@debian.org>  Tue, 19 Apr 2016 23:34:21 +0200

joystick (1:1.4.9-1) unstable; urgency=medium

  * New upstream release.
  * Install Denilson Figueiredo de Sá's blacklist. Closes: #714399.
  * Assume /usr is mounted before the udev rules are invoked, which allows
    the udev helper scripts to be removed and thus
    /lib/udev/hotplug.functions to no longer be required.
    Closes: #810115.
  * Drop joystick preinst and postinst, they were only needed for
    upgrades to Squeeze.
  * Drop the workaround for Acrux gamepads, they've been supported by
    the kernel since 2.6.39.
  * Rename inputattach.sleep.d 40inputattach so it can be installed via
    inputattach.install.
  * Clean up the .install and .manpages catalogs.
  * Build with systemd support.

 -- Stephen Kitt <skitt@debian.org>  Sat, 09 Jan 2016 17:21:52 +0100

joystick (1:1.4.8-2) unstable; urgency=medium

  * Add pm-utils script to re-start inputattach after waking from
    suspend. Closes: #799729. Thanks to John Morris for the fix!
  * Rewrite debian/copyright in DEP5 format.
  * Standards-Version 3.9.6, no change required.

 -- Stephen Kitt <skitt@debian.org>  Sat, 26 Sep 2015 15:33:58 +0200

joystick (1:1.4.8-1) unstable; urgency=medium

  * New upstream release.
  * Export upstream signing key using export-minimal.
  * Install js-set-enum-leds.

 -- Stephen Kitt <skitt@debian.org>  Sun, 26 Apr 2015 18:38:04 +0200

joystick (1:1.4.7-2) unstable; urgency=medium

  * Change the architecture to "linux-any" since both packages are
    Linux-specific.
  * Add upstream signing key.

 -- Stephen Kitt <skitt@debian.org>  Sat, 12 Jul 2014 07:17:59 +0200

joystick (1:1.4.7-1) unstable; urgency=medium

  * New upstream release:
    - Fix Spaceball 4000FLX initialization with newer firmware.
      Closes: #298494. Thanks Andrew Basterfield!
  * Standards-Version 3.9.5, no change required.
  * Add VCS URIs.

 -- Stephen Kitt <skitt@debian.org>  Wed, 08 Jan 2014 07:53:52 +0100

joystick (1:1.4.6-1) unstable; urgency=low

  * New upstream release:
    - Disable CRTSCTS on ELO touchscreens. Closes: #699030. Thanks Thierry
      Bultel!
    - Handle long device names correctly. Closes: #706744. Thanks Ralf
      Jung!
  * Drop hardening.patch, merged upstream.
  * Standards-Version 3.9.4, no change required.
  * Switch to my Debian address.

 -- Stephen Kitt <skitt@debian.org>  Mon, 06 May 2013 23:03:26 +0200

joystick (1:1.4.3-1) unstable; urgency=low

  * New upstream release.
  * Enable hardened build using debhelper 9.
  * Standards-Version 3.9.3, no further change required.

 -- Stephen Kitt <steve@sk2.org>  Fri, 08 Jun 2012 07:27:30 +0200

joystick (1:1.4.2-1) unstable; urgency=low

  * New upstream release:
    - Splits the udev rules for w8001 devices so that the correct baud
      rate is used. Closes: #632961.
    - Documents the conflict with xserver-xorg-input-wacom.
    - Creates /var/lib/joystick/ if necessary. Closes: #632623.
    - inputattach avoids resetting the line discipline if the device is
      already in use. Closes: #630173.
  * Remove braces in joystick.install and joystick.manpages.

 -- Stephen Kitt <steve@sk2.org>  Thu, 08 Sep 2011 07:25:39 +0200

joystick (1:1.4.1-1) unstable; urgency=low

  * New upstream release:
    - Handles other retry errors correctly (thanks to Alexander Clouter
      for the patch). Closes: #631608.

 -- Stephen Kitt <steve@sk2.org>  Sat, 25 Jun 2011 15:42:13 +0200

joystick (1:1.4-1) unstable; urgency=low

  * Upstream release.
  * Correct the udev rule in inputattach's README.Debian (thanks to Raoul
    Bönisch). Closes: #628369.
  * Provide default udev rules for Wacom W8001 devices (thanks to
    Alexander Clouter, Brian Murray and Kees Cook).
  * Add upstream homepage.
  * Standards-Version 3.9.2, no change required.

 -- Stephen Kitt <steve@sk2.org>  Mon, 20 Jun 2011 21:10:19 +0200

joystick (1:1.4~rc1-1) unstable; urgency=low

  * New upstream version:
    - Builds with --as-needed. Closes: #607009.
    - inputattach supports W8001. Closes: #616443.
    - inputattach supports Zhen-Hua. LP: #648945.
  * Drop all patches, merged upstream. Drop README.source explaining quilt
    usage, and --with-quilt directive to sh.
  * Drop manpages, merged upstream.
  * Drop store/restore tools, merged upstream.
  * Rework udev rules:
    - provide agents to delay invoking inputattach or jscal-restore until
      they become available;
    - drop jskeepalive and use sleep instead to stop Acrux devices from
      going into a coma (as suggested by Oliver Neukum), for kernels prior
      to 2.6.39;
    - only apply the udev rules when adding devices (as suggested by
      Roberto Neri).
  * Standards-Version 3.9.1, no change required.
  * No longer ship evtest, its source is maintained separately (and will
    be removed from future upstream versions of joystick).

 -- Stephen Kitt <steve@sk2.org>  Mon, 04 Apr 2011 16:56:39 +0200

joystick (20051019-12) unstable; urgency=low

  * Use the correct maximum number of axes. LP: #595767.
  * Small fixes to the manpages.
  * Correct all remaining ioctl() checks. Closes: #587439.
  * Explain the purpose of calibration and how to determine whether a
    joystick is calibrated. LP: #497835.
  * Standards-Version 3.9.0: use Breaks rather than Conflits, and
    incidentally move the Breaks on dvb-utils to evtest where it really
    belongs.

 -- Stephen Kitt <steve@sk2.org>  Sun, 11 Jul 2010 00:13:43 +0200

joystick (20051019-11) unstable; urgency=low

  * evtest: flush standard output, thanks Florian Fainelli! Closes:
    #581740.

 -- Stephen Kitt <steve@sk2.org>  Sun, 16 May 2010 16:11:59 +0200

joystick (20051019-10) unstable; urgency=low

  [ Stephen Kitt ]
  * Switch to 3.0 (quilt) format.
  * Fix SDL-related warnings.
  * Remove fix for broken initscript in -7 (which never made it to
    stable).
  * Prevent Acrux gamepads from disappearing after the inital device setup
    (LP: #448446).
  * Handle calibration using udev rather than an initscript. Closes:
    #540680.
  * Standards-Version 3.8.4, no change required.

  [ Dmitrijs Ledkovs ]
  * Simplified debian/rules; fixes FTBS with parallel make. Closes:
    #566274.

 -- Stephen Kitt <steve@sk2.org>  Wed, 07 Apr 2010 08:53:29 +0200

joystick (20051019-9) unstable; urgency=low

  * Handle the various buffer sizes expected in kernels 2.6.27 to 2.6.30.8
    (2.6.28 changed the value of KEY_MAX, which changed the definition of
    a joystick-related ioctl; 2.6.31 fixed the problem by handling any
    buffer size - see ec8b4b7085605e801a7740a2c3c33256aebe249c in the
    kernel git repository, which was also shipped in 2.6.30.8). Correctly
    closes: #536013. Thanks to Krzysztof A. Sobiecki for help determining
    the actual cause of the behaviour seen in jstest!
  * Avoid treating positive return values from ioctl() as errors; kernels
    starting with 2.6.32 return buffer sizes in some cases (see
    999b874f4aa39b7abf45662ff0900f943ddb2d02 in the kernel git
    repository).
  * Standards-Version 3.8.3, no change required.
  * initscript stops in level 1 as well as 0 and 6. Note that the
    initscript will be going away soon, see #540680.

 -- Stephen Kitt <steve@sk2.org>  Mon, 12 Oct 2009 15:12:52 +0200

joystick (20051019-8) unstable; urgency=low

  * Avoid failing with an exit code of 1 in the initscript; thanks Sean
    Finney! Closes: #537804

 -- Stephen Kitt <steve@sk2.org>  Tue, 21 Jul 2009 10:12:59 +0200

joystick (20051019-7) unstable; urgency=low

  * Make evtest and inputattach conflict with previous versions of
    joystick, as suggested by LI Daobing.

 -- Stephen Kitt <steve@sk2.org>  Tue, 14 Jul 2009 23:17:54 +0200

joystick (20051019-6) unstable; urgency=low

  * Add Sahara Touch-iT213 support; thanks Claudio Nieder! LP: #338746
  * Package evtest and inputattach separately. Closes: #301009
  * Ship force-feedback tools. LP: #131422
  * Add initscript to save and restore calibration data. Closes: #144766
  * Switch from cdbs to dh 7.
  * Rewrite debian/copyright.
  * Rewrite manpages.
  * Standards-Version 3.8.2, no change required.
  * Allow mapping axes without mapping buttons, and remap calibration data
    when remapping axes; thanks Krzysztof A. Sobiecki! Closes: #529865
  * Avoid segfaulting when the button map reported by the kernel is
    incorrect; hopefully closes: #536013.
  * Add version to the dvb-utils conflict, since the version in Lenny is
    just a transitional package there is no conflict.

 -- Stephen Kitt <steve@sk2.org>  Sat, 11 Jul 2009 17:28:37 +0200

joystick (20051019-5) unstable; urgency=low

  * Pass correct buffer size to EVIOCGBIT ioctl; thanks Sebastian Siewior!
    Closes: #499414.
  * Remove changes to inputattach.c from the diff.gz.
  * Update inputattach manpage.
  * Add USB segfault fix for jstest from Ubuntu.
  * Add comments on all patches.
  * Merge jscal.1 changes from button-axis-remapping.patch to avoid the
    Lintian warning about quilt patches changing files in the debian
    directory.
  * Remove reference to homepage which is dead.

 -- Stephen Kitt <steve@sk2.org>  Sat, 01 Nov 2008 17:24:00 +0100

joystick (20051019-4) unstable; urgency=low

  * Update short description as suggested by Ben Finney.
  * Set priority to extra to match the override file, as suggested by Joe
    Nahmias.
  * Use debhelper 7, as hinted by Joe Nahmias and the debhelper
    documentation.
  * Remove versioned dependency on cdbs since even oldstable has a new
    enough version.
  * Ship evtest and associated manpage; lineakd diverts them so this package
    need not conflict with lineakd, but it does need to conflict with
    dvb-utils (which will not ship with Lenny). Closes: #475049

 -- Stephen Kitt <steve@sk2.org>  Wed, 23 Jul 2008 07:53:13 +0200

joystick (20051019-3) unstable; urgency=low

  * New maintainer. Closes: #465928
  * Update inputattach. Closes: #419342
  * Force removal of initscript. Closes: #338139
  * Improve jscal jitter tolerance. Thanks Johan Walles! Closes: #144768
  * Allow button and axis remapping in jscal. Thanks Dr. László Kaján!
    Closes: #444142
  * Update Standards-Version to 3.8.0:
    + add a README.source file explaining the basics of quilt

 -- Stephen Kitt <steve@sk2.org>  Wed, 11 Jun 2008 11:43:51 +0200

joystick (20051019-2) unstable; urgency=low

  * QA Upload
    + change maintainer to QA group
  * Remove dependency on makedev. Closes: #428219
  * Fix description formatting. Closes: #445672

 -- Frank Lichtenheld <djpig@debian.org>  Thu, 24 Apr 2008 21:20:28 +0200

joystick (20051019-1.1) unstable; urgency=low

  * Non-maintainer upload
  * Fixed wrong setting of mouse type. Closes: #336882
  * debian/control: added Homepage record
  * Fixed the following lintian messages:
    - W: joystick source: out-of-date-standards-version 3.6.2 (current is 3.7.2)
    - E: joystick source: build-depends-on-build-essential build-depends

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 26 Sep 2007 17:23:40 +1000

joystick (20051019-1) unstable; urgency=low

  * New upstream release. Closes: #245108
  * drop joystick-device-check - leave device file handling to MAKEDEV
    or udev this makes everything lots more simple, means debconf is
    no longer a dependancy, and no need for an initscript.
    Closes: #164592, #235168, #303682, #331872
  * debian/rules: move to CDBS
  * debian/control: added 'Requires at Linux 2.4 or newer.' Closes: #111117
  * debian/control: Standards-Version: 3.6.2
  * debian/copyright: updated FSF address
  * debian/README.Debian: removed
  * fix spelling mistakes in manpages Closes: #311445, #311446

 -- Edward Betts <edward@debian.org>  Wed, 19 Oct 2005 06:22:03 +0100

joystick (20010903-2) unstable; urgency=low

  * debian/control: updated Standards-Version.
  * debian/control: added version number to debhelper Build-Depends.
  * debian/copyright: improved with more text from the GPL and a description
    of changes to the package.
  * debian/template: German translation from Sebastian Feltel
    <sebastian@feltel.de>. (Closes: Bug#119939)

 -- Edward Betts <edward@debian.org>  Wed, 26 Dec 2001 13:32:55 +0000

joystick (20010903-1) unstable; urgency=low

  * New upstream release
  * Reorganised package to more closely resemble upstream CVS:
      - joystick utils moved to utils dir
      - header files moved to linux/include/linux
      - debian/rules: updated to reflect moved files
  * linux/Documentation: added from upstream CVS
  * debian/rules: install documentation
  * Patch from Eduard Bloch <edi@gmx.de> provides a debconf interface, init
    script, joystick-device-check script, and man-page. This package now
    provides better support for using joystick devices based on kernel
    version. (Closes: Bug#96994)
      - debian/joystick-device-check: checks and fixes joystick device
      - debian/joystick-device-check.8: man page for joystick-device-check
      - debian/joystick.{config,templates,postinst,postrm}: debconf support
          for joystick-device-check
      - debian/joystick.init: handle joystick-device-check at init
      - debian/control: added Depends on debconf and joystick-device-check
          description
      - debian/joystick.dirs: added /usr/sbin for joystick-device-check
      - debian/rules: install joystick-device-check and friends
  * Lintian clean

 -- Edward Betts <edward@debian.org>  Tue,  4 Sep 2001 13:11:54 +0100

joystick (20010506-1) unstable; urgency=low

  * New upstream release
  * linux/joystick.h: included to make jscal work (Closes: Bug#96546)

 -- Edward Betts <edward@debian.org>  Sun,  6 May 2001 16:52:29 -0600

joystick (20000325-1) unstable; urgency=low

  * New upstream release. (Closes: Bug#84783)
  * debian/control: Standards-Version: 3.5.2
  * debian/rules: Changed to debhelper 3
  * debian/rules: Changed dh_installmanpages to dh_installman
  * debian/rules: Removed dh_suidregister
  * debian/rules: Removed dh_testversion
  * debian/rules: Support DEB_BUILD_OPTIONS

 -- Edward Betts <edward@debian.org>  Sat,  3 Mar 2001 14:28:43 -0700

joystick (1.2.15-9) unstable; urgency=low

  * Updated Standards-Version to 3.2.1
  * Added version to debhelper build-depends to match dh_testversion
  * Changed section from misc to utils (Closes: Bug#74466).

 -- Edward Betts <edward@debian.org>  Mon, 30 Oct 2000 15:21:03 -0700

joystick (1.2.15-8) unstable; urgency=low

  * Fixed a stupid bug in the postinst (Closes: Bug#69408).

 -- Edward Betts <edward@debian.org>  Sat, 19 Aug 2000 11:31:27 +0100

joystick (1.2.15-7) unstable; urgency=low

  * Only create devices if they are not there. (Closes: Bug#69104).
  * debian/control: updated Standards-Version to 3.2.0

 -- Edward Betts <edward@debian.org>  Thu, 17 Aug 2000 14:19:13 +0100

joystick (1.2.15-6) frozen unstable; urgency=low

  * debian/copyright: rewrote.

 -- Edward Betts <edward@debian.org>  Mon, 17 Apr 2000 15:31:53 +0100

joystick (1.2.15-5) frozen unstable; urgency=low

  * jstest.c: Added `tv.tv_sec = 1', stops `jstest --select' from taking 100%
    CPU, thanks to Tuomas Heino <iheino@cc.hut.fi> for spotting the bug and
    providing a suggestion for the solution. Closes: Bug#61340

 -- Edward Betts <edward@debian.org>  Wed, 29 Mar 2000 21:50:18 +0100

joystick (1.2.15-4) frozen unstable; urgency=low

  * Changed CFLAGS to -O2 -g -Wall -pipe closes: Bug#60873 filed by
    Florian Lohoff <flo@rfc822.org> (removed -m486 from CFLAGS)

 -- Edward Betts <edward@debian.org>  Wed, 22 Mar 2000 10:13:56 +0000

joystick (1.2.15-3) frozen unstable; urgency=low

  * debian/control: added a dependancy on makedev (>= 2.3.1-24) fixes other
    half of important Bug#55679

 -- Edward Betts <edward@debian.org>  Sat,  5 Feb 2000 13:06:55 +0000

joystick (1.2.15-2) frozen unstable; urgency=low

  * debian/postinst: s!./MAKEDEV!/sbin/MAKEDEV! closes: Bug#55679

 -- Edward Betts <edward@debian.org>  Fri, 28 Jan 2000 15:53:41 +0000

joystick (1.2.15-1) unstable; urgency=low

  * New upstream release.
  * no long includes kernel module.
  * debian/control: updateded Standards-Version to 3.1.1
  * debian/control: added Build-Depends.

 -- Edward Betts <edward@debian.org>  Thu,  6 Jan 2000 23:05:44 +0000

jjoystick (0.8.0-5) unstable; urgency=low

  * use update-modules. Fixes Bug#27104.
  * compiled for kernel 2.0.33, 2.0.34 and 2.0.35. Fixes Bug#26700.

 -- Frederic Lepied <Lepied@debian.org>  Thu, 15 Oct 1998 08:42:15 +0200

joystick (0.8.0-4) unstable; urgency=low

  * oops removed stable.

 -- Frederic Lepied <Lepied@debian.org>  Sun,  6 Jul 1997 16:32:49 +0200

joystick (0.8.0-3) stable unstable; urgency=low

  * compiled with libc6.

 -- Frederic Lepied <Lepied@debian.org>  Sun,  6 Jul 1997 09:06:33 +0200

joystick (0.8.0-2) stable unstable; urgency=low

  * compiled for kernels 2.0.27 and 2.0.30 (fixes bug #9902).

 -- Frederic Lepied <Lepied@debian.org>  Thu, 5 Jun 1997 20:18:56 +0200

joystick (0.8.0-1) unstable; urgency=low

  * Initial Release.

 -- Frederic Lepied <Lepied@debian.org>  Fri, 31 Jan 1997 22:13:59 +0100
